aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-11-06 00:44:34 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-11-06 00:46:38 +0100
commit7815946ba6484a26780d5fb4b018ff54f3282378 (patch)
tree1a7d6656e187239b897f0107999f896ac1a77a23
parent772d8b3642fbce353d45f1e44982ea7a3b189801 (diff)
downloadaports-7815946ba6484a26780d5fb4b018ff54f3282378.tar.bz2
aports-7815946ba6484a26780d5fb4b018ff54f3282378.tar.xz
testing/qt5-websockets: new aport
-rw-r--r--testing/qt5-websockets/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/qt5-websockets/APKBUILD b/testing/qt5-websockets/APKBUILD
new file mode 100644
index 000000000..89f3b3138
--- /dev/null
+++ b/testing/qt5-websockets/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=qt5-websockets
+pkgver=5.6.2
+pkgrel=0
+pkgdesc="Provides WebSocket communication compliant with RFC 6455"
+url="http://qt-project.org/"
+arch="all"
+license="GPL3"
+depends="qt5-qtbase-dev"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://download.qt.io/official_releases/qt/5.6/$pkgver/submodules/qtwebsockets-opensource-src-$pkgver.tar.xz"
+builddir="$srcdir/qtwebsockets-opensource-src-$pkgver"
+
+build() {
+ cd "$builddir"
+ mkdir build && cd build
+ qmake-qt5 .. || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"/build
+ make INSTALL_ROOT="$pkgdir" install || return 1
+}
+
+md5sums="d4d246217b6c217c71ca61a8e533a05d qtwebsockets-opensource-src-5.6.2.tar.xz"
+sha256sums="3cd9d4bbff8e6be5e252f00fc9ecb9ac2d8a193020288c7d1e82583daeb5ba35 qtwebsockets-opensource-src-5.6.2.tar.xz"
+sha512sums="6b4adc5a2ba3403b6a733b84bb9bb7a696db50c264b26841f67b6cc20bff44bf9743d3fd2d95f94b3e68127be6f411c3398ed7e910480658c3065549302b1958 qtwebsockets-opensource-src-5.6.2.tar.xz"